#!/usr/bin/perl -w
#
# Test for emphasised keyword
#

use strict;
require Cwd;
require 'pltests.pl';

my $cwd = Cwd::getcwd();
my $LOG = "$cwd/test-log";
my $INDEX = "$cwd/idx17";
my $NAMAZU = pltests::binpath('namazu');

my $cmd;
my $result;

delete $ENV{'LANG'};
delete $ENV{'LANGUAGE'};
$ENV{'LC_ALL'} = 'C';
delete $ENV{'LC_MESSAGE'};
delete $ENV{'NAMAZURC'};

pltests::putline($LOG, "  *** starting $0");

$cmd = "$NAMAZU -h emphasise $INDEX";
pltests::putline($LOG, $cmd);
$result = `$cmd`;
unless (defined $result) {
    exit 1;
}
if ($result !~ /emphasised/s) {
    exit 1;
}

exit 0;

